Skip to main content
GET
/
customers
/
{customerId}
/
signing-quorum
Get a customer's signing quorum configuration
curl --request GET \
  --url https://api.conduit.financial/v2/customers/{customerId}/signing-quorum \
  --header 'x-api-key: <api-key>'
{
  "threshold": 2,
  "pendingThreshold": 0,
  "eligibleSigners": 3,
  "wallets": [
    {
      "walletId": "<string>",
      "threshold": 2,
      "override": 0,
      "pendingOverride": {
        "action": "SET",
        "threshold": 0
      }
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

customerId
string
required

Response

threshold
integer
required

Customer-level number of approvals required by default.

Required range: -9007199254740991 <= x <= 9007199254740991
Example:

2

pendingThreshold
integer | null
required

Customer-level threshold awaiting signer approval, or null when no change is pending.

Required range: -9007199254740991 <= x <= 9007199254740991
eligibleSigners
integer
required

Number of active signers that can approve transactions.

Required range: -9007199254740991 <= x <= 9007199254740991
Example:

3

wallets
object[]
required

Per-wallet quorum configuration.